## pymvpa2 2.0.0

=== Makefile ===
PROFILE_FILE=$(CURDIR)/$(BUILDDIR)/main.pstats
COVERAGE_REPORT=$(CURDIR)/$(BUILDDIR)/coverage
BUILDDIR=$(CURDIR)/build
HTML_DIR=$(BUILDDIR)/html
DOC_DIR=$(CURDIR)/doc
TUT_DIR=$(CURDIR)/datadb/tutorial_data/tutorial_data
DOCSRC_DIR=$(DOC_DIR)/source
DOCBUILD_DIR=$(BUILDDIR)/doc
MAN_DIR=$(BUILDDIR)/man
APIDOC_DIR=$(HTML_DIR)/api
PDF_DIR=$(BUILDDIR)/pdf
LATEX_DIR=$(BUILDDIR)/latex
WWW_DIR=$(BUILDDIR)/website
SWARM_DIR=$(BUILDDIR)/swarm
WWW_UPLOAD_URI=www.pymvpa.org:/home/www/www.pymvpa.org/pymvpa
WWW_UPLOAD_URI_DEV=dev.pymvpa.org:/home/www/dev.pymvpa.org/pymvpa
DATA_UPLOAD_URI=data.pymvpa.org:/home/www/data.pymvpa.org/www/datasets
DATA_URI=data.pymvpa.org::datadb
SWARMTOOL_DIR=tools/codeswarm
SWARMTOOL_DIRFULL=$(CURDIR)/$(SWARMTOOL_DIR)
RSYNC_OPTS=-az -H --no-perms --no-owner --verbose --progress --no-g --exclude prev/
RSYNC_OPTS_UP=-rzlhv --delete
# -p --chmod=Dg+s,g+rw,o+rX

#
# The Python executable to be used
#
PYTHON = python
# Assure non-interactive Matplotlib and provide local paths helper
MPLPYTHON = PYTHONPATH=.:$(PYTHONPATH) MVPA_MATPLOTLIB_BACKEND=agg $(PYTHON)
NOSETESTS = $(PYTHON) $(shell which nosetests)

#
# Helpers for version handling.
# Note: can't be ':='-ed since location of invocation might vary
DEBCHANGELOG_VERSION = $(shell dpkg-parsechangelog | egrep ^Version | cut -d ' ' -f 2,2 | cut -d '-' -f 1,1)
SETUPPY_VERSION = $(shell $(PYTHON) setup.py -V)

#
# Automatic development version
#
#yields: LastTagName_CommitsSinceThat_AbbrvHash
DEV_VERSION := $(shell git describe --abbrev=4 HEAD |sed -e 's/-/+/g' |cut -d '/' -f 2,2)

# By default we are releasing with setup.py version
RELEASE_VERSION ?= $(SETUPPY_VERSION)
RELEASE_CODE ?=

# Conditional depends regulated from outside
#
ifdef PYMVPA_NO_3RD
	build_depends :=
else
	build_depends :=
endif

#
# Details on the Python/system
#

PYVER := $(shell $(PYTHON) -V 2>&1 | cut -d ' ' -f 2,2 | cut -d '.' -f 1,2)
DISTUTILS_PLATFORM := $(shell $(PYTHON) -c "import distutils.util; print distutils.util.get_platform()")

#
# Little helpers
#

mkdir-%:
	if [ ! -d $($*) ]; then mkdir -p $($*); fi


#
# Building
#

all: build

# build included 3rd party pieces (if present)
3rd: 3rd-stamp
3rd-stamp:
	find 3rd -mindepth 1 -maxdepth 1  -type d | \
	 while read d; do \
	  [ -f "$$d/Makefile" ] && $(MAKE) -C "$$d" || :; \
     done
	touch $@


debian-build:
# reuse is better than duplication (yoh)
	debian/rules build


build: build-stamp
build-stamp: $(build_depends)
	$(PYTHON) setup.py config --noisy
	$(PYTHON) setup.py build_ext --inplace
	touch $@


#
# Cleaning
#

# this target is used to clean things for a fresh build
clean:
	@echo "I: Performing clean operation"
# clean 3rd party pieces
	find 3rd -mindepth 1 -maxdepth 1  -type d | \
	 while read d; do \
	  [ -f "$$d/Makefile" ] && $(MAKE) -C "$$d" clean || : ; \
     done
# clean tools
	$(MAKE) -C tools clean
# clean pics
	$(MAKE) -C doc/pics clean
# clean docs
	$(MAKE) -C doc clean
	-@rm -f $(DOCSRC_DIR)/examples/*.rst
# clean all bits and pieces
	-@rm -f MANIFEST
	-@rm -f mvpa2/clfs/lib*/*.so \
		mvpa2/clfs/lib*/*.dylib \
		mvpa2/clfs/lib*/*_wrap.* \
		mvpa2/clfs/lib*/*c.py \
		mvpa2/tests/*.{prof,pstats,kcache}
	@find . -name '*.py[co]' \
		 -o -name '*,cover' \
		 -o -name '.coverage' \
		 -o -name 'iterate.dat' \
		 -o -iname '*~' \
		 -o -iname '*.kcache' \
		 -o -iname '*.gch' \
		 -o -iname '*_flymake.*' \
		 -o -iname '#*#' | xargs -L 10 rm -f
	-@rm -rf build
	-@rm -rf dist *report
	-@rm -f *-stamp *_report.pdf *_report.log pymvpa2.cfg

# this target should put the source tree into shape for building the source
# distribution
distclean: clean
# if we are on debian system - we might have left-overs from build
	-@$(MAKE) debian-clean
	-@rm -rf tools/codeswarm



debian-clean:
# remove stamps for builds since state is not really built any longer
	-fakeroot debian/rules clean


#
# Documentation
#

doc: website manpages

pics:
	$(MAKE) -C doc/pics

manpages: mkdir-MAN_DIR
	@echo "I: Creating manpages"
	PYTHONPATH=.:$(PYTHONPATH) help2man -N -n 'preprocess fMRI data for PyMVPA' \
		bin/mvpa-prep-fmri > $(MAN_DIR)/mvpa-prep-fmri.1
	PYTHONPATH=. help2man -N -n 'query stereotaxic atlases' \
		bin/atlaslabeler > $(MAN_DIR)/atlaslabeler.1

references:
	@echo "I: Generating references"
	tools/bib2rst_ref.py

htmldoc: examples2rst build pics
	@echo "I: Creating an HTML version of documentation"
	cd $(DOC_DIR) && MVPA_EXTERNALS_RAISE_EXCEPTION=off \
		PYTHONPATH=$(CURDIR):$(PYTHONPATH) \
		$(MAKE) html BUILDDIR=$(BUILDDIR) SPHINXOPTS="$(SPHINXOPTS)"
	cd $(HTML_DIR)/generated && ln -sf ../_static
	cd $(HTML_DIR)/examples && ln -sf ../_static
	cd $(HTML_DIR)/workshops && ln -sf ../_static
	cd $(HTML_DIR)/datadb && ln -sf ../_static
	cp $(DOCSRC_DIR)/pics/history_splash.png $(HTML_DIR)/_images/

pdfdoc: examples2rst build pics pdfdoc-stamp
pdfdoc-stamp:
	@echo "I: Creating a PDF version of documentation"
	cd $(DOC_DIR) && MVPA_EXTERNALS_RAISE_EXCEPTION=off \
		PYTHONPATH=$(CURDIR):$(PYTHONPATH) \
		$(MAKE) latex BUILDDIR=$(BUILDDIR) SPHINXOPTS="$(SPHINXOPTS)"
	cd $(LATEX_DIR) && $(MAKE) all-pdf
	touch $@

# Create a handy .pdf of the manual to be printed as a book
handbook: pdfdoc
	@echo "I: Creating a handbook of the manual"
	cd tools && $(MAKE) pdfbook
	build/tools/pdfbook -2 \
	 $(LATEX_DIR)/PyMVPA-Manual.pdf $(LATEX_DIR)/PyMVPA-Manual-Handbook.pdf

examples2rst: examples2rst-stamp
examples2rst-stamp: mkdir-DOCBUILD_DIR
	tools/ex2rst \
		--project PyMVPA \
		--outdir $(DOCSRC_DIR)/examples \
		--exclude doc/examples/searchlight_app.py \
		doc/examples
	touch $@

apidoc: apidoc-stamp
apidoc-stamp: build
# Disabled profiling for now, it consumes huge amounts of memory, so I doubt
# that all buildds can do it. In theory it would only be done on a single
# developer machine, because it is only necessary for the arch-all package,
# but e.g. dpkg-buildpackage runs the indep target anyway -- not sure about
# the buildds, though.
#apidoc-stamp: profile
	@echo "I: Creating an API documentation with epydoc"
	mkdir -p $(HTML_DIR)/api
	LC_ALL=C MVPA_EPYDOC_WARNINGS=once tools/epydoc --config doc/api/epydoc.conf
	touch $@

# this takes some minutes !!
profile: build mvpa2/tests/__init__.py
	@echo "I: Profiling unittests"
	@PYTHONPATH=.:$(PYTHONPATH) tools/profile -K  -O $(PROFILE_FILE) mvpa2/tests/__init__.py


#
# Website
#

website: website-stamp
website-stamp: mkdir-WWW_DIR htmldoc pdfdoc
	cp -r $(HTML_DIR)/* $(WWW_DIR)
	cp $(LATEX_DIR)/PyMVPA-*.pdf $(WWW_DIR)
	tools/sitemap.sh > $(WWW_DIR)/sitemap.xml
# main icon of the website
	cp $(DOCSRC_DIR)/pics/favicon.png $(WWW_DIR)/_images/
# for those who do not care about <link> and just trying to download it
	cp $(DOCSRC_DIR)/pics/favicon.png $(WWW_DIR)/favicon.ico
# provide robots.txt to minimize unnecessary traffic
	cp $(DOCSRC_DIR)/_static/robots.txt $(WWW_DIR)/
# provide promised pylintrc
	mkdir -p $(WWW_DIR)/misc && cp $(DOC_DIR)/misc/pylintrc $(WWW_DIR)/misc
	touch $@

upload-website:
	$(MAKE) website SPHINXOPTS='-D html_theme=pymvpa_online'
	rsync $(RSYNC_OPTS_UP) $(WWW_DIR)/* $(WWW_UPLOAD_URI)/
	git update-ref refs/heads/website-updates/www HEAD

upload-htmldoc:
	$(MAKE) htmldoc SPHINXOPTS='-D html_theme=pymvpa_online'
	chmod a+rX -R $(HTML_DIR)
	rsync $(RSYNC_OPTS_UP) $(HTML_DIR)/* $(WWW_UPLOAD_URI)/
	git update-ref refs/heads/website-updates/www-html HEAD

upload-website-dev:
	sed -i -e "s,http://disqus.com/forums/pymvpa/,http://disqus.com/forums/pymvpa-dev/,g" \
		-e "s,^<!-- HEADNOTES -->,<!-- HEADNOTES --><div class='admonition note'>This content refers to an unreleased development version of PyMVPA</div>,g" \
		doc/source/_themes/pymvpa_online/page.html
	$(MAKE) website SPHINXOPTS='-D html_theme=pymvpa_online'
	sed -i -e "s,http://disqus.com/forums/pymvpa-dev/,http://disqus.com/forums/pymvpa/,g" \
		-e "s,^<!-- HEADNOTES -->.*$$,<!-- HEADNOTES -->,g" \
		doc/source/_themes/pymvpa_online/page.html
	sed -i -e "s,www.pymvpa.org,dev.pymvpa.org,g" $(WWW_DIR)/sitemap.xml
	chmod a+rX -R $(WWW_DIR)
	rsync $(RSYNC_OPTS_UP) $(WWW_DIR)/* $(WWW_UPLOAD_URI_DEV)/

upload-htmldoc-dev:
	grep -q pymvpa-dev doc/source/_themes/pymvpa_online/page.html || \
	 sed -i -e "s,http://disqus.com/forums/pymvpa/,http://disqus.com/forums/pymvpa-dev/,g" \
		-e "s,^<!-- HEADNOTES -->,<!-- HEADNOTES --><div class='admonition note'>This content refers to an unreleased development version of PyMVPA</div>,g" \
		doc/source/_themes/pymvpa_online/page.html
	$(MAKE) htmldoc SPHINXOPTS='-D html_theme=pymvpa_online'
	sed -i -e "s,http://disqus.com/forums/pymvpa-dev/,http://disqus.com/forums/pymvpa/,g" \
		-e "s,^<!-- HEADNOTES -->.*$$,<!-- HEADNOTES -->,g" \
		doc/source/_themes/pymvpa_online/page.html
	rsync $(RSYNC_OPTS_UP) $(HTML_DIR)/* $(WWW_UPLOAD_URI_DEV)/


# upload plain .rst files as descriptions to data.pympa.org as descriptions of
# each dataset
upload-datadb-descriptions:
	for ds in doc/source/datadb/*; do \
		ds=$$(basename $${ds}); ds=$${ds%*.rst}; \
		scp doc/source/datadb/$${ds}.rst $(DATA_UPLOAD_URI)/$${ds}/README.rst; \
	done

#
# Tests (unittests, docs, examples)
#

ut-%: build
	@PYTHONPATH=.:$(PYTHONPATH) $(NOSETESTS) --nocapture mvpa2/tests/test_$*.py

unittest: build
	@echo "I: Running unittests (without optimization nor debug output)"
	$(MPLPYTHON) mvpa2/tests/__init__.py


# test if PyMVPA is working if optional externals are missing
unittest-badexternals: build
	@echo "I: Running unittests under assumption of missing optional externals."
	@PYTHONPATH=mvpa2/tests/badexternals:.:$(PYTHONPATH) \
		MVPA_MATPLOTLIB_BACKEND=agg \
		$(PYTHON) mvpa2/tests/__init__.py 2>&1 \
		| grep -v -e 'WARNING: Known dependency' -e 'Please note: w' \
		          -e 'WARNING:.*SMLR.* implementation'

# only non-labile tests
unittest-nonlabile: build
	@echo "I: Running only non labile unittests. None of them should ever fail."
	@MVPA_TESTS_LABILE=no \
		$(MPLPYTHON) mvpa2/tests/__init__.py

# test if no errors would result if we force enabling of all ca
unittest-ca: build
	@echo "I: Running unittests with all ca enabled."
	@MVPA_DEBUG=ENFORCE_CA_ENABLED \
		$(MPLPYTHON) mvpa2/tests/__init__.py

# Run unittests with optimization on -- helps to catch unconditional
# debug calls
unittest-optimization: build
	@echo "I: Running unittests with $(PYTHON) -O."
	@$(MPLPYTHON) -O mvpa2/tests/__init__.py

# Run unittests with all debug ids and some metrics (crossplatform ones) on.
#   That does:
#     additional checking,
#     debug() calls validation, etc
# Need to use /bin/bash due to use of PIPESTATUS
unittest-debug: SHELL=/bin/bash
unittest-debug: build
	@echo "I: Running unittests with debug output. No progress output."
	@MVPA_DEBUG=.* MVPA_DEBUG_METRICS=ALL \
		$(MPLPYTHON) mvpa2/tests/__init__.py 2>&1 \
		|  sed -n -e '/^[=-]\{60,\}$$/,$$p'; \
		exit $${PIPESTATUS[0]}	# reaquire status of 1st command, works only in bash!


# Run all unittests
#  Run with 'make -k' if you like to sweep through all of them, so
#  failure in one of them does not stop the full sweep
unittests: unittest-nonlabile unittest unittest-badexternals \
           unittest-optimization unittest-ca unittest-debug

te-%: build
	@echo -n "I: Testing example $*: "
	@MVPA_EXAMPLES_INTERACTIVE=no \
	 $(MPLPYTHON) doc/examples/$*.py >| temp-$@.log 2>&1 \
	 && echo "passed" \
	 || { echo "failed:"; cat temp-$@.log; rm -f temp-$@.log; exit 1; }
	@rm -f temp-$@.log

testexamples: te-svdclf te-smlr te-sensanas te-pylab_2d \
              te-curvefitting te-projections te-kerneldemo \
              te-erp_plot te-match_distribution te-permutation_test \
              te-searchlight_minimal te-smlr te-start_easy te-topo_plot \
              te-gpr te-gpr_model_selection0 te-mri_plot te-searchlight \
              te-clfs_examples

testdocstrings: dt-mvpa

dt-%: build
	@echo "I: Doctesting $*"
	@PYTHONPATH=.:$(PYTHONPATH) \
		MVPA_MATPLOTLIB_BACKEND=agg \
		MVPA_EXTERNALS_RAISE_EXCEPTION=off \
		MVPA_DATADB_ROOT=datadb \
		MVPA_WARNINGS_SUPPRESS=1 \
		$(NOSETESTS) --with-doctest \

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
PYTHON        = python
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR) source/generated source/examples
	-rm generate-stamp


generate: generate-stamp
generate-stamp:
	mkdir -p $(BUILDDIR)
	@MVPA_EXTERNALS_RAISE_EXCEPTION=off \
		PYTHONPATH=$(CURDIR)/sphinxext:$(CURDIR)/..:$(PYTHONPATH) \
		$(PYTHON) sphinxext/autosummary/generate.py \
		-t $(CURDIR)/templates -o source/generated source/*.rst
	# wipe everything that is not pymvpa to prevent suffering from the bugs
	# of other in subsequent stages
	find source/generated -type f ! -name 'mvpa*' -delete
	@touch $@

html: generate
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml: generate
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

pickle: generate
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json: generate
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp: generate
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp: generate
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/PyMVPA.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/PyMVPA.qhc"

latex: generate
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes: generate
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck: generate
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest: generate
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## pymvpa2 2.0.0~rc5

=== debian/changelog ===
pymvpa2 (2.0.0~rc5-1~nd50+1) lenny; urgency=low

  * Backported for lenny.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Wed, 19 Oct 2011 17:12:38 -0400

pymvpa2 (2.0.0~rc5-1) unstable; urgency=low

  * mvpa module was renamed into mvpa2 to allow co-installability with
    stable mvpa 0.4.x (hence source package name change)
  * Command line tools (atlaslabeler, mvpa-prep-fmri) are not provided
    for this release
  * Bump Standards-Version to 3.9.2 -- no changes necessary

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 19 Oct 2011 14:18:14 -0400

pymvpa-snapshot (0.6.0~rc4-1) neurodebian; urgency=low

  * PyMVPA development snapshot.
  * Pruned unneeded now XS-DM-Upload-Allowed.

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 14 Jun 2011 21:03:07 -0400

pymvpa-snapshot (0.6.0~rc3-1) neurodebian; urgency=low

  * PyMVPA development snapshot.
  * Includes upstream changelog now.

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 12 Apr 2011 12:08:15 -0400

pymvpa-snapshot (0.6.0~rc2-1) neurodebian; urgency=low

  * PyMVPA development snapshot.

 -- Michael Hanke <mih@debian.org>  Thu, 03 Mar 2011 16:06:46 -0500

pymvpa (0.4.3-2) unstable; urgency=low

  [ Sandro Tosi ]
  * Drop Python 2.4; thanks to Luca Falavigna for the
    report and to Jakub Wilk for the patch (Closes: #562482)
    - debian/control
      + bump b-d on python-all-dev to '>= 2.5'
      + drop python-ctypes
      + drop explicit Depends on python: we use ${python:Depends}
    - debian/pyversions
      + bump it to '+2.5-'

  [ Yaroslav Halchenko ]
  * debian/control
    - Thanks Sandro Tosi for NMU attempt to fix #560606.
    - Build-Conflict on python-epydoc=3.0.1-4: this version works
    incorrectly with python-docutils 0.6 (thanks to Lucas Nussbaum for the
    report).  Also Build-Depends on python-docutils (<< 0.6) |
    python-docutils (>= 0.6-3~) which would assure that we still can build
    on lenny or with fresh docutils which pull in fresh epydoc (thanks to
    Jakub Wilk for suggestion).  Those 2 steps fix the FTBFS (Closes:
    #560606)
    - Added python-mvpa-doc to suggests.
  * Cherry pick 2 commits from maint/0.4 branch to be compatible with recent
    versions of shogun-python-modular present in sid/squeeze.

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 12 Jan 2010 17:55:55 -0500

pymvpa (0.4.3-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.8.3 -- no changes necessary.
  * Maintainer field points to ExpPsy Maintainers now.
  * Recommend python-reportlab.
  * Added python-nose, python-nifti, python-lxml to Build-depends.

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 04 Sep 2009 16:18:54 -0400

pymvpa (0.4.2-1) unstable; urgency=low

  [ Michael Hanke ]
  * New upstream release.
  * Removing the circular dependency between python-mvpa and python-mvpa-lib
    (Closes: #519129).
  * Improve long description of python-mvpa-lib and turn it into complete
    sentences, as recommended by the developers reference 6.2.3
    (Closes: #521332).
  * Bump Standards-Version to 3.8.1 -- no changes necessary.
  * Added dependency on python to the python-mvpa package to satisfy lintian.
  * Added rsync as build-dependency, which is required for building the docs.
  * The package now honors 'nodoc' in DEB_BUILD_OPTIONS. This is intended to
    help backporting to releases with insufficient python-sphinx versions.
  * Added 'graphviz' as a build-dependency (necessary for Sphinx' inheritance
    graphs).

  [ Yaroslav Halchenko ]
  * Compatible with cdbs >= 0.4.54 (use of DEB_PYTHON_MODULE_PACKAGES) and
    recent pysupport (>=0.9).
  * Run unittests for each supported python version during build.

 -- Michael Hanke <michael.hanke@gmail.com>  Mon, 25 May 2009 11:21:39 +0200

pymvpa (0.4.1-1) unstable; urgency=low

  [ Michael Hanke ]
  * New upstream release.
  * Added missing ${misc:Depends} to debian/control.
  * The package now honors 'nocheck' in DEB_BUILD_OPTIONS.
  * Speed-up of package build process by preventing the docs from being built
    twice.
  * Added 'DM-Upload-Allowed: yes' to enable DM upload.
  * Install new manpages and add build-dep. to help2man.
  * Updated debian/copyright.
  * Imported various bugfixes from the upstream VCS that were pushed into the
    0.4 maintenance branch since the release of 0.4.1.

  [ Yaroslav Halchenko ]
  * Adjusted long descriptions.
  * Split libraries (low-level SMLR implementation and LIBSVM custom
    Python bindings) into a separate python-mvpa-lib package. That allows
    python-mvpa package to become architecture independent.

 -- Michael Hanke <michael.hanke@gmail.com>  Sat, 21 Feb 2009 14:07:55 +0100

pymvpa (0.4.0-1) unstable; urgency=low

  * New upstream release.
  * Running a subset of the unittests during package build (only tests not
    requiring a huge amount of cpu-time or memory.

 -- Michael Hanke <michael.hanke@gmail.com>  Wed, 19 Nov 2008 03:30:53 +0100

pymvpa (0.3.1-1) unstable; urgency=low

  * New upstream release.
  * Added dependency to ctypes for python 2.4.

 -- Michael Hanke <michael.hanke@gmail.com>  Sun, 14 Sep 2008 13:53:31 +0200

pymvpa (0.3.0-1) unstable; urgency=low

  * New upstream release.
  * Added python-pywt as recommended package.
  * Using jquery.js from corresponding Debian package.

 -- Michael Hanke <michael.hanke@gmail.com>  Sun, 17 Aug 2008 20:56:26 +0200

pymvpa (0.2.2-1) unstable; urgency=low

  * New upstream maintenance release (missed 0.2.1). This release contains
    a minimal copy of LIBSVM. The Debian package does not build it, but makes
    use of the corresponding Debian package.
  * Shrink Debian diff and move the enabling of LIBSVM into debian/rules.
  * Convert debian/copyright into machine readable format.


=== debian/control ===
Source: pymvpa2
Section: python
Priority: optional
Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
X-Original-Maintainer: NeuroDebian team <team@neuro.debian.net>
Uploaders: Michael Hanke <mih@debian.org>, Yaroslav Halchenko <debian@onerussian.com>
Build-Depends: debhelper (>= 7.0.50~), swig, python-all-dev (>= 2.4), python-support (>= 0.6), python-numpy, libsvm-dev (>= 2.84.0), help2man, python-lxml, python-nibabel, python-nose, python-h5py, python-scipy
Standards-Version: 3.9.2
Homepage: http://www.pymvpa.org
Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/pymvpa.git
Vcs-Git: git://git.debian.org/git/pkg-exppsy/pymvpa.git

Package: python-mvpa2
Architecture: all
Depends: neurodebian-popularity-contest, ${misc:Depends}, ${python:Depends}, python-numpy, python-mvpa2-lib(>= ${source:Version})
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Recommends: python-nibabel, python-psyco, python-mdp, python-scipy, shogun-python-modular, python-pywt, python-matplotlib, python-reportlab, python-h5py, python-psutil
Suggests: fslview, fsl, python-nose, python-lxml, python-openopt, python-rpy2, python-mvpa2-doc, python-sklearn
Description: multivariate pattern analysis with Python
 PyMVPA eases pattern classification analyses of large datasets, with an
 accent on neuroimaging. It provides high-level abstraction of typical
 processing steps (e.g. data preparation, classification, feature selection,
 generalization testing), a number of implementations of some popular
 algorithms (e.g. kNN, Ridge Regressions, Sparse Multinomial Logistic
 Regression), and bindings to external machine learning libraries (libsvm,
 shogun).
 .
 While it is not limited to neuroimaging data (e.g. fMRI, or EEG) it
 is eminently suited for such datasets.
 .
 This is a package of PyMVPA v.2.  Previously released stable version
 is provided by the python-mvpa package.


Package: python-mvpa2-lib
Architecture: any
Depends: neurodebian-popularity-contest, ${misc:Depends}, ${shlibs:Depends}, ${python:Depends}, python-numpy
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Conflicts: python-mvpa-lib
Description: low-level implementations and bindings for PyMVPA
 This is an add-on package for the PyMVPA framework. It provides a low-level
 implementation of an SMLR classifier and custom Python bindings for the LIBSVM
 library.
 .
 This is a package of a development snapshot. The latest released version is
 provided by the python-mvpa-lib package.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

srcpkg = $(shell LC_ALL=C dpkg-parsechangelog | grep '^Source:' | cut -d ' ' -f 2,2)
debver = $(shell LC_ALL=C dpkg-parsechangelog | grep '^Version:' | cut -d ' ' -f 2,2 )
upstreamver = $(shell echo $(debver) | sed -e 's/-[^-]*$$//' )

# this figures out the last merge point from 'master' into the 'dist' branch and
# then described this commit relative to the last release tag (upstream/...)
# If this should make any sense the local master branch must track remote
# master.
gitver = $(shell [ -x /usr/bin/git ] && git describe --tags --match 'upstream/*' $$(git merge-base -a HEAD master) | sed -e 's,^upstream/,,' -e 's/\.dev/~dev/' -e 's/\.rc/~rc/')


# one ring to rule them all ...
%:
# need to enforce distutils, since we also have a makefile
	dh $@ --buildsystem=python_distutils --builddirectory=build

override_dh_auto_build:
	dh_auto_build -- --with-libsvm
	# $(MAKE) manpages

# we run the test suite on the install 
override_dh_auto_test:

override_dh_auto_install:
	dh_auto_install -- --with-libsvm
	# run unit tests here to actually check the deployed package
	# whenever we don't have to build for python 2.5 anymore call
	# python with -B and remove the find for pyc files
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	for buildver in $(shell pyversions -vr); do \
		echo "I: Running PyMVPA unittests using python$$buildver"; \
		cd $(CURDIR)/debian/tmp/usr/lib/python$$buildver/*-packages && \
		PYTHONPATH=. MVPA_TESTS_LABILE=no MVPA_TESTS_LOWMEM=yes \
		MVPA_TESTS_QUICK=yes python$$buildver mvpa2/tests/__init__.py \
		|| exit 1 ; find . -type f -name '*.pyc' -delete ; \
	done
endif
	# and now move libraries into -lib package (account for snapshot name
	# as well)
	cd $(CURDIR)/debian/python-mvpa*-lib && \
		for so in $$(find ../tmp -name '*.so'); do \
			install -D $$so $${so#../tmp/*} ; \
			rm $$so ; \
		done
	: # temporarily (for this Debian release) remove cmdline tools and
	: # their manpages
	find debian -wholename */bin -o -wholename */man | xargs -r rm -rf

override_dh_installchangelogs:
	dh_installchangelogs Changelog

override_dh_auto_clean:
	dh_auto_clean
	-rm -rf $(CURDIR)/build

# make orig tarball from repository content
get-orig-source:
	# orig tarball, turn directory into something nicer
	git archive --format=tar --prefix=$(srcpkg)-$(gitver)/ HEAD | \
		tar --delete $(srcpkg)-$(gitver)/debian | \
		gzip -9 > $(srcpkg)_$(gitver).orig.tar.gz

# same for dev snapshots, but here it produces a dev changelog entry first
# that converts the source package name to -snapshot
dev-source: dev-changelog get-orig-source
	mv $(srcpkg)_$(gitver).orig.tar.gz ..

# helper to create a new changelog entry for a development snapshot package
# go with default changelog item for each new snapshot, but fire up editor
# if there already was a changelog for this upstream version, as there is
# probably something to say about this new Debian snapshot package release
dev-changelog:
	@if [ "$(gitver)" = "$(upstreamver)" ]; then \
		dch -i --package pymvpa-snapshot ; \
	else \
		dch --newversion $(gitver)-1 --package pymvpa-snapshot \
			--allow-lower-version "PyMVPA development snapshot." ; \
	fi

## pymvpa2 2.0.0

=== debian/changelog ===
pymvpa2 (2.0.0-6) unstable; urgency=low

  * Fixed FTBFS due to sphinx API changes braking old copy of autosummary.
    System-wide autosummary should be used now for sphinx >= 1.1.2
    (Closes: #658593). Thanks to Jakub Wilk and Julian Taylor for help
    Patch: up_sphinx_1.1.2_autosummary

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 07 Feb 2012 11:16:39 -0500

pymvpa2 (2.0.0-5) unstable; urgency=low

  * Fixed FTBFS due to test failure in test_niftidataset on big-endians.
    Patch: 0001-BF-assure-native-endianness-in-test_assumptions_on_n.patch
  * Fixed oblivious typo of removing system-installed underscore.js
    leading to stall and thus FTBFS on Debian build hosts
  * Run unittests with verbose output for easy troubleshooting of FTBFSs

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 27 Dec 2011 16:26:12 -0500

pymvpa2 (2.0.0-4) unstable; urgency=low

  * debian/rules: export HOME=$(CURDIR)/build to assure rw $HOME for every
    aspect of package building (finally Closes:#652903)

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 22 Dec 2011 23:03:26 -0500

pymvpa2 (2.0.0-3) unstable; urgency=low

  * Add up_robust_doc_building to the patch queue series
    (really Closes: #652903)

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 22 Dec 2011 10:38:37 -0500

pymvpa2 (2.0.0-2) unstable; urgency=low

  * up_robust_doc_building patch to point HOME to build/ directory
    (Closes: #652903)

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 21 Dec 2011 18:34:32 -0500

pymvpa2 (2.0.0-1) unstable; urgency=low

  * Long-awaited upstream release of mvpa2
  * Removed conflict with python-mvpa-lib -- both python-mvpa and python-mvpa2
    must be co-installable now
  * Reincrarnated -doc package providing HTML documentation

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 15 Dec 2011 18:32:02 -0500

=== debian/control ===
Source: pymvpa2
Section: python
Priority: optional
Maintainer: NeuroDebian team <team@neuro.debian.net>
Uploaders: Michael Hanke <mih@debian.org>, Yaroslav Halchenko <debian@onerussian.com>
Build-Depends: debhelper (>= 7.0.50~),
               python-all-dev (>= 2.4), python-support (>= 0.6), swig,
               python-numpy, python-scipy,
               python-nibabel,
               python-nose,
               python-h5py,
               python-lxml,
               libsvm-dev (>= 2.84.0),
               help2man,
               python-sphinx,
               graphviz, inkscape, imagemagick, bc
Standards-Version: 3.9.2
Homepage: http://www.pymvpa.org
Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/pymvpa.git
Vcs-Git: git://git.debian.org/git/pkg-exppsy/pymvpa.git

Package: python-mvpa2
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-numpy, python-mvpa2-lib(>= ${source:Version})
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Recommends: python-nibabel, python-psyco, python-mdp, python-scipy, shogun-python-modular, python-pywt, python-matplotlib, python-reportlab, python-h5py, python-psutil
Suggests: fslview, fsl, python-nose, python-lxml, python-openopt, python-rpy2, python-mvpa2-doc, python-sklearn
Description: multivariate pattern analysis with Python v. 2
 PyMVPA eases pattern classification analyses of large datasets, with an
 accent on neuroimaging. It provides high-level abstraction of typical
 processing steps (e.g. data preparation, classification, feature selection,
 generalization testing), a number of implementations of some popular
 algorithms (e.g. kNN, Ridge Regressions, Sparse Multinomial Logistic
 Regression), and bindings to external machine learning libraries (libsvm,
 shogun).
 .
 While it is not limited to neuroimaging data (e.g. fMRI, or EEG) it
 is eminently suited for such datasets.
 .
 This is a package of PyMVPA v.2.  Previously released stable version
 is provided by the python-mvpa package.


Package: python-mvpa2-lib
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${python:Depends}, python-numpy
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: low-level implementations and bindings for PyMVPA v. 2
 This is an add-on package for the PyMVPA framework. It provides a low-level
 implementation of an SMLR classifier and custom Python bindings for the LIBSVM
 library.
 .
 This is a package of a development snapshot. The latest released version is
 provided by the python-mvpa-lib package.

Package: python-mvpa2-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, libjs-jquery, libjs-underscore
Suggests: python-mvpa2
Description: documentation and examples for PyMVPA v. 2
 This is an add-on package for the PyMVPA framework. It provides a
 HTML documentation (tutorial, FAQ etc.) as well as example scripts.

## pymvpa2 2.1.0

=== Makefile ===
--- 
+++ 
@@ -27,7 +27,8 @@
 #
 PYTHON = python
 # Assure non-interactive Matplotlib and provide local paths helper
-MPLPYTHON = PYTHONPATH=.:$(PYTHONPATH) MVPA_MATPLOTLIB_BACKEND=agg $(PYTHON)
+MPLPYTHONPATH = PYTHONPATH=.:$(PYTHONPATH) MVPA_MATPLOTLIB_BACKEND=agg
+MPLPYTHON = $(MPLPYTHONPATH) $(PYTHON)
 NOSETESTS = $(PYTHON) $(shell which nosetests)
 
 #
@@ -170,10 +171,16 @@
 	@echo "I: Generating references"
 	tools/bib2rst_ref.py
 
-htmldoc: examples2rst build pics
+# Since mpl doesn't take env variables
+mpl-stamp: build
+	echo "backend : Agg" >| $(CURDIR)/build/matplotlibrc
+	touch $@
+
+htmldoc: examples2rst build pics mpl-stamp
 	@echo "I: Creating an HTML version of documentation"
 	cd $(DOC_DIR) && MVPA_EXTERNALS_RAISE_EXCEPTION=off \
 		PYTHONPATH=$(CURDIR):$(PYTHONPATH) \
+		MPLCONFIGDIR=$(CURDIR)/build HOME=$(CURDIR)/build \
 		$(MAKE) html BUILDDIR=$(BUILDDIR) SPHINXOPTS="$(SPHINXOPTS)"
 	cd $(HTML_DIR)/generated && ln -sf ../_static
 	cd $(HTML_DIR)/examples && ln -sf ../_static
@@ -182,10 +189,11 @@
 	cp $(DOCSRC_DIR)/pics/history_splash.png $(HTML_DIR)/_images/
 
 pdfdoc: examples2rst build pics pdfdoc-stamp
-pdfdoc-stamp:
+pdfdoc-stamp: mpl-stamp
 	@echo "I: Creating a PDF version of documentation"
 	cd $(DOC_DIR) && MVPA_EXTERNALS_RAISE_EXCEPTION=off \
 		PYTHONPATH=$(CURDIR):$(PYTHONPATH) \
+		MPLCONFIGDIR=$(CURDIR)/build HOME=$(CURDIR)/build \
 		$(MAKE) latex BUILDDIR=$(BUILDDIR) SPHINXOPTS="$(SPHINXOPTS)"
 	cd $(LATEX_DIR) && $(MAKE) all-pdf
 	touch $@
@@ -348,26 +356,15 @@
 
 te-%: build
 	@echo -n "I: Testing example $*: "
-	@MVPA_EXAMPLES_INTERACTIVE=no \
-	 $(MPLPYTHON) doc/examples/$*.py >| temp-$@.log 2>&1 \
-	 && echo "passed" \
-	 || { echo "failed:"; cat temp-$@.log; rm -f temp-$@.log; exit 1; }
-	@rm -f temp-$@.log
+	@[ -z "$$MVPA_TESTS_LOGDIR" ]  \
+	&& logfile=temp-$@.log   \
+	|| { mkdir -p $$MVPA_TESTS_LOGDIR; logfile=$$MVPA_TESTS_LOGDIR/$@.log; }; \
+	MVPA_EXAMPLES_INTERACTIVE=no \
+	 $(MPLPYTHONPATH) /usr/bin/time $(PYTHON) doc/examples/$*.py >| $$logfile 2>&1 \
+	 && { echo "passed";  ex=0; } \
+	 || { echo "failed:"; ex=1; cat $$logfile; }; \
+    [ -z "$$MVPA_TESTS_LOGDIR" ] && rm -f $$logfile || : ; \
+	exit $$ex
 
 testexamples: te-svdclf te-smlr te-sensanas te-pylab_2d \
               te-curvefitting te-projections te-kerneldemo \
-              te-erp_plot te-match_distribution te-permutation_test \
-              te-searchlight_minimal te-smlr te-start_easy te-topo_plot \
-              te-gpr te-gpr_model_selection0 te-mri_plot te-searchlight \
-              te-clfs_examples
-
-testdocstrings: dt-mvpa
-
-dt-%: build
-	@echo "I: Doctesting $*"
-	@PYTHONPATH=.:$(PYTHONPATH) \
-		MVPA_MATPLOTLIB_BACKEND=agg \
-		MVPA_EXTERNALS_RAISE_EXCEPTION=off \
-		MVPA_DATADB_ROOT=datadb \
-		MVPA_WARNINGS_SUPPRESS=1 \
-		$(NOSETESTS) --with-doctest \

=== doc/Makefile ===
--- 
+++ 
@@ -32,13 +32,15 @@
 	-rm -rf $(BUILDDIR) source/generated source/examples
 	-rm generate-stamp
 
+SPHINXEXT_PATH=$(shell python -c 'import sphinx; from distutils.version import LooseVersion; print LooseVersion(sphinx.__version__) < "1.1.2" and "sphinxext" or "/usr/share/pyshared/sphinx/ext"')
+#SPHINXEXT_PATH=sphinxext
 
 generate: generate-stamp
 generate-stamp:
 	mkdir -p $(BUILDDIR)
 	@MVPA_EXTERNALS_RAISE_EXCEPTION=off \
 		PYTHONPATH=$(CURDIR)/sphinxext:$(CURDIR)/..:$(PYTHONPATH) \
-		$(PYTHON) sphinxext/autosummary/generate.py \
+		$(PYTHON) $(SPHINXEXT_PATH)/autosummary/generate.py \
 		-t $(CURDIR)/templates -o source/generated source/*.rst
 	# wipe everything that is not pymvpa to prevent suffering from the bugs
 	# of other in subsequent stages

=== doc/pics/Makefile ===
all:: pymvpa_logo.jpg download_icon.jpg tutorial_icon.jpg \
      documentation_icon.jpg support_icon.jpg movie_icon.jpg \
      pymvpa_icon.jpg \
      pics

# where the rendered images should go
TARGETDIR = ../source/pics
STATICDIR = ../source/_static

# special case of icon svg
ICON_SVG_BASE = pymvpa_icons
ICON_HEIGHT = $(shell inkscape -z -f $(ICON_SVG_BASE).svg -H)
ICON_WIDTH = $(shell inkscape -z -f $(ICON_SVG_BASE).svg -W)
ICON_NUMBER = 6

# PICS_IGNORE must contain a rule for grep
PICS_IGNORE ?= "$(ICON_SVG_BASE)"

# For every .svg we must have a pdf
PDFPICS=$(shell find . -iname \*svg \
	| sed -e 's/svg$$/pdf/g' -e 's/\([^\]\)\([ \t:]\)/\1\\\\\2/g' \
	| grep -v -e $(PICS_IGNORE) )
# and a png
PNGPICS=$(shell find . -iname \*svg \
	| sed -e 's/svg$$/png/g' -e 's/\([^\]\)\([ \t:]\)/\1\\\\\2/g' \
	| grep -v -e $(PICS_IGNORE) )

pics: $(PDFPICS) $(PNGPICS)

clean::
	for p in *.svg; do \
		rm -f $(TARGETDIR)/$${p%*.svg}.pdf; \
		rm -f $(TARGETDIR)/$${p%*.svg}.png; \
		rm -f $(TARGETDIR)/$${p%*.svg}.jpg; \
	done
	for p in *.svg; do \
		rm -f $${p%*.svg}.pdf; \
		rm -f $${p%*.svg}.png; \
		rm -f $${p%*.svg}.jpg; \
		rm -f $(STATICDIR)/$${p%*.svg}.jpg; \
	done
	-rm -f $(STATICDIR)/*_icon.jpg *_icon.*

.PHONY: ignore-%
ignore-%:
	@grep -q "^$*$$" $(TARGETDIR)/.gitignore || { \
	  echo "$*" >> $(TARGETDIR)/.gitignore; echo "Ignore $*"; }
	@grep -q "^$*$$" $(STATICDIR)/.gitignore || { \
	  echo "$*" >> $(STATICDIR)/.gitignore; echo "Ignore $*"; }
	@grep -q "^$*$$" .gitignore || { echo "$*" >> .gitignore; }

#
# Inkscape rendered figures
#
%.pdf: %.svg ignore-%.pdf
	@echo "Rendering $@"
	@inkscape -z -f "$<" -A "$@" --export-dpi=300
	@cp "$@" $(TARGETDIR)

%.png: %.svg ignore-%.png
	@echo "Rendering $@"
	@inkscape -z -f "$<" -e "$@" --export-width=500
	@cp "$@" $(TARGETDIR)

%.jpg: %.png ignore-%.jpg
	@echo "Converting $*.png to $*.jpg"
	@convert -flatten -resize x130 $*.png $*.jpg
	@cp "$@" $(STATICDIR)


# special cases
download_icon.png: $(ICON_SVG_BASE).svg
	inkscape -z -f $(ICON_SVG_BASE).svg -e $@ \
		--export-area=$(shell echo "$(ICON_WIDTH) / $(ICON_NUMBER) * 0" | bc):0:$(shell echo "$(ICON_WIDTH) / $(ICON_NUMBER) * 1" | bc):$(ICON_HEIGHT)
	$(MAKE) ignore-$@

tutorial_icon.png: $(ICON_SVG_BASE).svg
	inkscape -z -f $(ICON_SVG_BASE).svg -e $@ \
		--export-area=$(shell echo "$(ICON_WIDTH) / $(ICON_NUMBER) * 1" | bc):0:$(shell echo "$(ICON_WIDTH) / $(ICON_NUMBER) * 2" | bc):$(ICON_HEIGHT)
	$(MAKE) ignore-$@

documentation_icon.png: $(ICON_SVG_BASE).svg
	inkscape -z -f $(ICON_SVG_BASE).svg -e $@ \
		--export-area=$(shell echo "$(ICON_WIDTH) / $(ICON_NUMBER) * 2" | bc):0:$(shell echo "$(ICON_WIDTH) / $(ICON_NUMBER) * 3" | bc):$(ICON_HEIGHT)
	$(MAKE) ignore-$@

support_icon.png: $(ICON_SVG_BASE).svg
	inkscape -z -f $(ICON_SVG_BASE).svg -e $@ \
		--export-area=$(shell echo "$(ICON_WIDTH) / $(ICON_NUMBER) * 3" | bc):0:$(shell echo "$(ICON_WIDTH) / $(ICON_NUMBER) * 4" | bc):$(ICON_HEIGHT)
	$(MAKE) ignore-$@

movie_icon.png: $(ICON_SVG_BASE).svg
	inkscape -z -f $(ICON_SVG_BASE).svg -e $@ \
		--export-area=$(shell echo "$(ICON_WIDTH) / $(ICON_NUMBER) * 4" | bc):0:$(shell echo "$(ICON_WIDTH) / $(ICON_NUMBER) * 5" | bc):$(ICON_HEIGHT)
	$(MAKE) ignore-$@

pymvpa_icon.png: $(ICON_SVG_BASE).svg
	inkscape -z -f $(ICON_SVG_BASE).svg -e $@ \
		--export-area=$(shell echo "$(ICON_WIDTH) / $(ICON_NUMBER) * 5" | bc):$(shell echo "$(ICON_HEIGHT) * 0.463/4.211" | bc):$(shell echo "$(ICON_WIDTH) / $(ICON_NUMBER) * 6" | bc):$(ICON_HEIGHT)
	$(MAKE) ignore-$@

.PHONY: all pics

=== debian/changelog ===
pymvpa2 (2.1.0-1) unstable; urgency=low

  * Fresh upstream release
  * debian/control
    - unwrapped Depends/Recommends and sorted
    - moved python-lxml and python-sklearn into Recommends
    - added liblapack-dev into Recommends -- provides liblapack.so
      optionally used by Hyperalignment
  * debian/upstream -- added with a canonical reference

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 28 Jun 2012 13:28:19 -0400

pymvpa2 (2.0.1-1) unstable; urgency=low

  * Fresh upstream release
    - all debian/patches were upstreamed
  * debian/control
    - policy boosted to 3.9.3 (no changes)
  * debian/copyright
    - updated for DEP5 v1.0
  * debian/rules
    - added a call to dh_numpy where available for proper NumPy dependencies

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 27 Mar 2012 09:47:23 -0400

=== debian/control ===
--- 
+++ 
@@ -14,18 +14,39 @@
                help2man,
                python-sphinx,
                graphviz, inkscape, imagemagick, bc
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://www.pymvpa.org
 Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/pymvpa.git
 Vcs-Git: git://git.debian.org/git/pkg-exppsy/pymvpa.git
 
+
 Package: python-mvpa2
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, python-numpy, python-mvpa2-lib(>= ${source:Version})
+Depends: ${misc:Depends}, ${python:Depends},
+         python-mvpa2-lib(>= ${source:Version}),
+         python-numpy,
+Recommends:
+         python-h5py,
+         python-lxml,
+         python-matplotlib,
+         python-mdp,
+         python-nibabel,
+         python-psutil,
+         python-psyco,
+         python-pywt,
+         python-reportlab,
+         python-scipy,
+         python-sklearn,
+         shogun-python-modular,
+         liblapack-dev,
+Suggests:
+         fslview, fsl,
+         python-mvpa2-doc,
+         python-nose,
+         python-openopt,
+         python-rpy2,
 Provides: ${python:Provides}
 XB-Python-Version: ${python:Versions}
-Recommends: python-nibabel, python-psyco, python-mdp, python-scipy, shogun-python-modular, python-pywt, python-matplotlib, python-reportlab, python-h5py, python-psutil
-Suggests: fslview, fsl, python-nose, python-lxml, python-openopt, python-rpy2, python-mvpa2-doc, python-sklearn
 Description: multivariate pattern analysis with Python v. 2
  PyMVPA eases pattern classification analyses of large datasets, with an
  accent on neuroimaging. It provides high-level abstraction of typical
@@ -44,7 +65,8 @@
 
 Package: python-mvpa2-lib
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, ${python:Depends}, python-numpy
+Depends: ${misc:Depends}, ${shlibs:Depends}, ${python:Depends},
+         python-numpy
 Provides: ${python:Provides}
 XB-Python-Version: ${python:Versions}
 Description: low-level implementations and bindings for PyMVPA v. 2
@@ -55,6 +77,7 @@
  This is a package of a development snapshot. The latest released version is
  provided by the python-mvpa-lib package.
 
+
 Package: python-mvpa2-doc
 Architecture: all
 Section: doc

=== debian/rules ===
--- 
+++ 
@@ -11,18 +11,29 @@
 # master.
 gitver = $(shell [ -x /usr/bin/git ] && git describe --tags --match 'upstream/*' $$(git merge-base -a HEAD master) | sed -e 's,^upstream/,,' -e 's/\.dev/~dev/' -e 's/\.rc/~rc/')
 
+export HOME=$(CURDIR)/build
 
 # one ring to rule them all ...
 %:
 # need to enforce distutils, since we also have a makefile
 	dh $@ --buildsystem=python_distutils --builddirectory=build
 
+override_dh_auto_configure:
+	dh_auto_configure
+	mkdir -p $(CURDIR)/build
+
 override_dh_auto_build:
 	dh_auto_build -- --with-libsvm
 	# $(MAKE) manpages
+ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
+	$(MAKE) htmldoc
+	-rm build/html/_static/jquery.js build/html/_static/underscore.js
+endif
 
-# we run the test suite on the install 
+
+# we run the test suite on the install
 override_dh_auto_test:
+	: # Tests will be ran later on against installed version
 
 override_dh_auto_install:
 	dh_auto_install -- --with-libsvm
@@ -34,7 +45,8 @@
 		echo "I: Running PyMVPA unittests using python$$buildver"; \
 		cd $(CURDIR)/debian/tmp/usr/lib/python$$buildver/*-packages && \
 		PYTHONPATH=. MVPA_TESTS_LABILE=no MVPA_TESTS_LOWMEM=yes \
-		MVPA_TESTS_QUICK=yes python$$buildver mvpa2/tests/__init__.py \
+		MVPA_TESTS_QUICK=yes MVPA_TESTS_VERBOSITY=3 \
+		python$$buildver mvpa2/tests/__init__.py \
 		|| exit 1 ; find . -type f -name '*.pyc' -delete ; \
 	done
 endif
@@ -49,10 +61,15 @@
 	: # their manpages
 	find debian -wholename */bin -o -wholename */man | xargs -r rm -rf
 
+override_dh_pysupport:
+	dh_pysupport
+	if [ -x /usr/bin/dh_numpy ]; then dh_numpy; fi
+
 override_dh_installchangelogs:
 	dh_installchangelogs Changelog
 
 override_dh_auto_clean:
+	$(MAKE) clean
 	dh_auto_clean
 	-rm -rf $(CURDIR)/build
 
@@ -79,3 +96,7 @@
 		dch --newversion $(gitver)-1 --package pymvpa-snapshot \
 			--allow-lower-version "PyMVPA development snapshot." ; \
 	fi
+
+## immediately useable documentation and exemplar scripts/data
+override_dh_compress:
+	dh_compress -X.py -X.html -X.pdf -X.css -X.jpg -X.txt -X.js -X.json -X.rtc -Xobjects.inv
